<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
    <?php
      if (!$db = mysqli_connect("localhost", "php", "test")){
        echo 'Błąd podczas próby połączenia z serwerem MySQL...<br>';
        echo '</body></html>';
        exit();
      }

      if(!mysqli_select_db($db, 'testphp')){
        mysqli_close($db);
        echo 'Błąd podczas wyboru bazy danych: testphp <br>';
        echo '</body></html>';
        exit();
      }

      if(isset($_GET['sortid'])){
        $sortid = (int) $_GET['sortid'];
      }
      else{
        $sortid = 1;
      }

      switch($sortid){
        case 1://ten przypadek można pominąć, ze względu na klauzulę default
          $sortColumn = "Id";
          break;
        case 2:
          $sortColumn = "Imie";
          break;
        case 3:
          $sortColumn = "Nazwisko";
          break;
        case 4:
          $sortColumn = "Rok_urodzenia";
          break;
        case 5:
          $sortColumn = "Miejsce_urodzenia";
          break;
        default :
          $sortColumn = "Id";
      }

      $query = "SELECT * FROM osoba ORDER BY $sortColumn";

      if(!$result = mysqli_query($db, $query)){
        mysqli_close($db);
        echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br>';
        echo '</body></html>';
        exit();
      }
    ?>

    <table>
      <tr>
      <td><a href="index.php?sortid=1">Id</a></td>
      <td><a href="index.php?sortid=2">Imię</a></td>
      <td><a href="index.php?sortid=3">Nazwisko</a></td>
      <td><a href="index.php?sortid=4">Rok urodzenia</a></td>
      <td><a href="index.php?sortid=5">Miejsce urodzenia</a></td>
    </tr>

    <?php
      while($row = mysqli_fetch_row($result)){
        echo "<tr>";
        echo "<td>$row[0]</td>";
        echo "<td>$row[1]</td>";
        echo "<td>$row[2]</td>";
        echo "<td>$row[3]</td>";
        echo "<td>$row[4]</td>";
        echo "</tr>";
      }
    ?>

    </table>

    <?php
    if(!mysqli_close($db)){
      echo 'Błąd podczas zamykania połączenia z serwerem MySQL...<br>';
    }
    ?>
  </body>
</html>
